Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.discovery
Interface MulticastRequestDecoder

All Superinterfaces:
  DiscoveryFormatProvider

public interface MulticastRequestDecoder
extends DiscoveryFormatProvider

Interface implemented by classes which decode multicast request data according to discovery protocol formats.

Since:
  2.0

Method Summary
`MulticastRequest` | `decodeMulticastRequest(ByteBuffer buf, InvocationConstraints constraints, ClientSubjectChecker checker)` Decodes the multicast request data contained in the given buffer in a manner that satisfies the specified absolute constraints and client subject checker (if any), returning a `MulticastRequest` instance that contains the decoded data.

Methods inherited from interface com.sun.jini.discovery.DiscoveryFormatProvider
`getFormatName`

Method Detail

### decodeMulticastRequest

    public MulticastRequest decodeMulticastRequest(ByteBuffer buf,
                                                   InvocationConstraints constraints,
                                                   ClientSubjectChecker checker)
                                            throws IOException

  Decodes the multicast request data contained in the given buffer in a manner that satisfies the specified absolute constraints and client subject checker (if any), returning a `MulticastRequest` instance that contains the decoded data. `null` constraints are considered equivalent to empty constraints.

  Parameters:
    `buf` - a buffer containing the packet data to decode
    `constraints` - the constraints to apply when decoding the data, or `null`
    `checker` - the object to use to check the client subject, or `null`
  Returns:
    the decoded multicast request data
  Throws:
    `IOException` - if an error occurs in interpreting the data
    `UnsupportedConstraintException` - if unable to satisfy the specified constraints
    `SecurityException` - if the given constraints cannot be satisfied due to insufficient caller permissions, or if the client subject check fails
    `NullPointerException` - if `buf` is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved